clc; clear; close all;

% Legendrovy polynomy
disp('Klasicke Legendrovy polynomy:');
max_deg = 5
format rat
LegPols = LegendrePolynomials(max_deg)
format short
deg = 5
format rat
Pol = LegendrePolynomial(deg)
format short
disp('Normalizovane Legendrovy polynomy:');
max_deg = 5
LegPols = LegendrePolynomialsNormalized(max_deg)
deg = 5
Pol = LegendrePolynomialNormalized(deg)

% Jacobiho polynomy
disp('Jacobiho polynomy:');
max_deg = 5
JacPols = JacobiPolynomials(0,0,max_deg)
deg = 5
Pol = JacobiPolynomial(0,0,deg)

disp('Lagrangeovy polynomy:');
% Lagrangeovy polynomy 1
uzly = [1 2 3]
polynomy = LagrangePolynomialBasis(uzly)

% Lagrangeovy polynomy 2 = kloboukove funkce na intervalu danem uzly
uzly = [0 2]
polynomy = LagrangePolynomialBasis(uzly)